/*  BotikBalance - User's account balance informer for Botik Network 
 *                 for Windows 9x/ME/NT/2000/XP/2003
 *  Copyright (C) 2005 Alexander V. Melnikoff
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public Licensse as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/* Sorry for the long lines in the sources, I have wide screen... ;-)
 */

#ifndef __SCRIPTHOSTOBJDID_H__
#define __SCRIPTHOSTOBJDID_H__

#define DISPID_METHODS		0x00000000
#define DISPID_PROPERTIES	0x00001000
#define DISPID_EVENTS		0x10000000


// DISPIDs for interface IBotikBalanceObj
#define DISPID_IBOTIKBALANCEOBJ_REQUESTPAGE		(DISPID_METHODS+0)
#define DISPID_IBOTIKBALANCEOBJ_DBGPRINT		(DISPID_METHODS+1)
#define DISPID_IBOTIKBALANCEOBJ_SETDATA			(DISPID_METHODS+2)

#define DISPID_IBOTIKBALANCEOBJ_ACCOUNTNAME		(DISPID_PROPERTIES+0)
#define DISPID_IBOTIKBALANCEOBJ_USER			(DISPID_PROPERTIES+1)
#define DISPID_IBOTIKBALANCEOBJ_PASSWORD		(DISPID_PROPERTIES+2)
#define DISPID_IBOTIKBALANCEOBJ_LASTOPERATIONCODE	(DISPID_PROPERTIES+3)

// DISPIDs for event set BotikBalanceObjEvents
#define DISPID_BOTIKBALANCEOBJEVENTS_ONUPDATE		(DISPID_EVENTS+0)
#define DISPID_BOTIKBALANCEOBJEVENTS_ONCONNECT		(DISPID_EVENTS+1)
#define DISPID_BOTIKBALANCEOBJEVENTS_ONDISCONNECT	(DISPID_EVENTS+2)

#endif // __SCRIPTHOSTOBJDID_H__