/*  BotikBalance - User's account balance informer for Botik Network 
 *                 for Windows 9x/ME/NT/2000/XP/2003
 *  Copyright (C) 2005 Alexander V. Melnikoff
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public Licensse as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/* Sorry for the long lines in the sources, I have wide screen... ;-)
 */

#ifndef __BBLNC_H__
#define __BBLNC_H__

extern HINSTANCE   g_hInst;
extern CAppConfig* g_pAppConfigUser;
extern BOOL        g_fIsWinNT;
extern HKEY        g_hKeyAS;
extern INT         g_nCurState;
extern BOOL        g_fFirstStart;
extern BOOL        g_fUpdateThrdReady;
extern double      g_dAccStateLast;
extern BOOL        g_fShowErrors;

#define BBLNC_MSGBOX_CAPTION		_T("Botik::Balance")

#define BBLNC_MSG_FORMAT			_T(": %s\n  : %s\n  : %s\n : %s\n   : %s\n  1: %s")

#define BBLNC_DEV_LINK_SITE			_T("http://www.botik.ru/~botik-key-pro/botik-balance/")
#define BBLNC_DEV_LINK_EMAIL		_T("mailto:botikbalance@stitch.pereslavl.ru")

#define MAX_LOADSTRING				512

#define BBLNC_CURRENT_STATE_DATA_NA			0
#define BBLNC_CURRENT_STATE_DATA_UPDATING	1
#define BBLNC_CURRENT_STATE_DATA_READY		2
#define BBLNC_CURRENT_STATE_OVER_VALUE		3
#define BBLNC_CURRENT_STATE_UPDATE_FAILED	4

#define BBLNC_FIRST_START			_T("FirstStart")

#define BBLNC_ACCOUNTNAME			_T("AccountName")
#define BBLNC_USER					_T("User")
#define BBLNC_PASSWD				_T("Passwd")

#define BBLNC_PROXYSERVER			_T("ProxyServer")

#define BBLNC_AUTOUPDATE			_T("AutoUpdate")
#define BBLNC_SHOWINFOWINDOW		_T("ShowInfoWindowType")
#define BBLNC_CRITICALACCOUNTSTATE	_T("CriticalAccountState")
#define BBLNC_INFOWINDOWTIMEOUT		_T("InfoWindowTimeOut")
#define BBLNC_INFOWINDOWTRANSP		_T("InfoWindowTransparence")
#define BBLNC_UPDATETIMEOUT			_T("UpdateTimeout")
#define BBLNC_SHOWERRORS			_T("ShowErrors")

#define BBLNC_INFOWNDSHOW_ALLWAYS		1
#define BBLNC_INFOWNDSHOW_ONDEMAND		2
#define BBLNC_INFOWNDSHOW_STATECHANGED	3
#define BBLNC_INFOWNDSHOW_STATELOWER	4

#define BBLNC_REG_AUTOSTART_PATH		_T("Software\\Microsoft\\Windows\\CurrentVersion\\Run")
#define BBLNC_REG_AUTOSTART_VAL			_T("StartBotikBalance")

#define BBLNC_NOTIFYICON				1

#endif // __BBLNC_H__